Installing on W2003

Topics: Installing BugNET
Aug 9, 2012 at 11:20 AM

I have been trying to install BugNet on a Windows 2003 server, when I start up I get an error message saying it can not load Altairis.Web.Providers.  I can not find this dll in the zip.  I am using BugNET-1.0.187.zip.

 

Aug 9, 2012 at 11:22 AM

Do you meet the requirements?

The minimum requirements for running BugNET are the following: 

  • ASP.NET 4 - A web server such as IIS Express 7.5 or IIS 7.x.
  • Microsoft SQL Server 2005/2008 Express or greater.
Aug 9, 2012 at 12:17 PM
I do not have iis 7, but the server is my build server, which currently builds my .NET 4 applications.

If I understand the error bugnet does not use the standard Microsoft membership, roles for logging in, it seems to use the third party dll, to provide the capability (as in the original discussion). The Web.config tries to load an assembly that is not in the install zip.


-----Original Message-----

From: erikveenhui
Sent: 9 Aug 2012 10:22:09 GMT
To: [email removed]
Subject: Re: Installing on W2003 [bugnet:390841]

From: erikveenhui

Do you meet the requirements?

The minimum requirements for running BugNET are the following:

  • ASP.NET 4 - A web server such as IIS Express 7.5 or IIS 7.x.
  • Microsoft SQL Server 2005/2008 Express or greater.
Aug 9, 2012 at 2:12 PM

The name of the Altaris assembly changed when we upgraded to the newest version. The assembly is in the bin folder , you just may need to update your web.config to use the new name. See this post http://bugnet.codeplex.com/discussions/390484 regarding all the changes to the web.config or reference the one in the install package.

Aug 9, 2012 at 5:09 PM

Thanks, point 4 of the web.config sorted the problem.

 

Although I'm now getting an SQL excute script error.

Aug 9, 2012 at 5:09 PM

Thanks, point 4 of the web.config sorted the problem.

 

Although I'm now getting an SQL excute script error.